Bug 165511 - SMP Kernel OOPS under heavy load with Marvell 88SX6081
SMP Kernel OOPS under heavy load with Marvell 88SX6081
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 19:11 EDT by Brian Rademacher
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-27 00:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Rademacher 2005-08-09 19:11:53 EDT
Description of problem:

Server is an ABIT SU-2S dual Opteron 246 with 2 gigs of ECC RAM...I have run 
through memtest86 numerous times with no trouble and am not entirely sure what 
is causing this...Under heavy load, and usually disk I/O related, it crashes 
with the below errors...I am wondering if the Marvell driver is the cause of 
this (I don't know this for sure, but it seems likely)...They have a GPL 
release that I am currently using, but they don't provide any support or 
updates for their drivers...BTW, the BCM5700 driver you see is only because I 
was testing to see if it was related...I normally use the TG3 driver...This 
error has occurred under every kernel release for FC4 thus far...

Aug  9 12:02:04 radfiles kernel: sh[8143]: segfault at 0000000000000020 rip 
000000317a305381 rsp 00007fffffa02f50 error 4
Aug  9 12:02:04 radfiles kernel: ----------- [cut here ] --------- [please 
bite here ] ---------
Aug  9 12:02:04 radfiles kernel: Kernel BUG at "mm/rmap.c":493
Aug  9 12:02:04 radfiles kernel: invalid operand: 0000 [1] SMP
Aug  9 12:02:04 radfiles kernel: CPU 0
Aug  9 12:02:04 radfiles kernel: Modules linked in: autofs4 dm_mod video ac 
shpchp bcm5700(U) floppy ext3 jbd raid0 mv_sata(U) sd_mod scsi_mod
Aug  9 12:02:04 radfiles kernel: Pid: 8143, comm: sh Tainted: G   M  2.6.12-
1.1398_FC4smp
Aug  9 12:02:04 radfiles kernel: RIP: 0010:[<ffffffff8017c1c8>] 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel: RSP: 0000:ffff810021235c40  EFLAGS: 00010286
Aug  9 12:02:04 radfiles kernel: RAX: 00000000ffffffff RBX: 0000000000000020 
RCX: ffff81000000d000
Aug  9 12:02:04 radfiles kernel: RDX: 0000000000000000 RSI: 0000000000000000 
RDI: ffff8100010176f0
Aug  9 12:02:04 radfiles kernel: RBP: ffff8100010176f0 R08: ffffffffffffffff 
R09: ffff810021235d30
Aug  9 12:02:04 radfiles kernel: R10: 0000000000000000 R11: 0000000000000001 
R12: ffff81001ee5b590
Aug  9 12:02:04 radfiles kernel: R13: 00000000006b2000 R14: 00000000006ba000 
R15: ffff810001e082a0
Aug  9 12:02:04 radfiles kernel: FS:  00002aaaaaabede0(0000) 
GS:ffffffff8050d780(0000) knlGS:00000000f7f299e0
Aug  9 12:02:04 radfiles kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 
000000008005003b
Aug  9 12:02:04 radfiles kernel: CR2: 0000000000000020 CR3: 0000000029067000 
CR4: 00000000000006e0
Aug  9 12:02:04 radfiles kernel: Process sh (pid: 8143, threadinfo 
ffff810021234000, task ffff81003f89a840)
Aug  9 12:02:04 radfiles kernel: Stack: ffffffff8017475f ffff810021235d30 
ffffffffffffffff 0000000000000000
Aug  9 12:02:04 radfiles kernel:        ffff81001c10feb8 ffff81007f50c940 
ffff810021235d38 0000000000348000
Aug  9 12:02:04 radfiles kernel:        00000000006ba000 0000000000000000
Aug  9 12:02:04 radfiles kernel: Call Trace:<ffffffff8017475f>
{unmap_vmas+1215} <ffffffff80178286>{exit_mmap+166}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80137134>{mmput+52} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801473ee>
{__dequeue_signal+558} <ffffffff8013ccbc>{do_group_exit+252}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80147e4d>
{get_signal_to_deliver+1565} <ffffffff8010e1cd>{do_signal+157}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8020e351>{__up_write+49} 
<ffffffff8017aa9b>{sys_mprotect+1579}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f125>{retint_signal+62}
Aug  9 12:02:04 radfiles kernel:
Aug  9 12:02:04 radfiles kernel: Code: 0f 0b 22 b8 37 80 ff ff ff ff ed 01 48 
c7 c6 ff ff ff ff bf
Aug  9 12:02:04 radfiles kernel: RIP <ffffffff8017c1c8>{page_remove_rmap+40} 
RSP <ffff810021235c40>
Aug  9 12:02:04 radfiles kernel:  <3>Debug: sleeping function called from 
invalid context at include/linux/rwsem.h:43
Aug  9 12:02:04 radfiles kernel: in_atomic():0, irqs_disabled():1
Aug  9 12:02:04 radfiles kernel:
Aug  9 12:02:04 radfiles kernel: Call Trace:<ffffffff8013abd5>
{profile_task_exit+21} <ffffffff8013bff2>{do_exit+34}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8022178d>{vgacon_cursor+221} 
<ffffffff8011066d>{die+77}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80111203>{do_invalid_op+163} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8018b805>
{__find_get_block_slow+293} <ffffffff8804e335>{:jbd:do_get_write_access+1397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8017475f>{unmap_vmas+1215} 
<ffffffff80178286>{exit_mmap+166}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80137134>{mmput+52} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801473ee>
{__dequeue_signal+558} <ffffffff8013ccbc>{do_group_exit+252}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80147e4d>
{get_signal_to_deliver+1565} <ffffffff8010e1cd>{do_signal+157}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8020e351>{__up_write+49} 
<ffffffff8017aa9b>{sys_mprotect+1579}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f125>{retint_signal+62}
Aug  9 12:02:04 radfiles kernel: Unable to handle kernel NULL pointer 
dereference at 0000000000000048 RIP:
Aug  9 12:02:04 radfiles kernel: <ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel: PGD 27dd5067 PUD 2bf57067 PMD 0
Aug  9 12:02:04 radfiles kernel: Oops: 0000 [2] SMP
Aug  9 12:02:04 radfiles kernel: CPU 0
Aug  9 12:02:04 radfiles kernel: Modules linked in: autofs4 dm_mod video ac 
shpchp bcm5700(U) floppy ext3 jbd raid0 mv_sata(U) sd_mod scsi_mod
Aug  9 12:02:04 radfiles kernel: Pid: 8143, comm: sh Tainted: G   M  2.6.12-
1.1398_FC4smp
Aug  9 12:02:04 radfiles kernel: RIP: 0010:[<ffffffff80136806>] 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel: RSP: 0000:ffff8100212359f8  EFLAGS: 00010202
Aug  9 12:02:04 radfiles kernel: RAX: ffff81007fd4e400 RBX: ffff81003f89a840 
RCX: 0000000000000000
Aug  9 12:02:04 radfiles kernel: RDX: ffff81003f89a800 RSI: 0000000000000000 
RDI: 00002aaaaaabee70
Aug  9 12:02:04 radfiles kernel: RBP: 0000000000000000 R08: 0000000000000720 
R09: ffff8100000bc6a0
Aug  9 12:02:04 radfiles kernel: R10: 0000000000000000 R11: ffffffff802216b0 
R12: 0000000000000000
Aug  9 12:02:04 radfiles kernel: R13: 0000000000000000 R14: 000000000000000b 
R15: ffff810001e082a0
Aug  9 12:02:04 radfiles kernel: FS:  00002aaaaaabede0(0000) 
GS:ffffffff8050d780(0000) knlGS:00000000f7f299e0
Aug  9 12:02:04 radfiles kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 
000000008005003b
Aug  9 12:02:04 radfiles kernel: CR2: 0000000000000048 CR3: 0000000029067000 
CR4: 00000000000006e0
Aug  9 12:02:04 radfiles kernel: Process sh (pid: 8143, threadinfo 
ffff810021234000, task ffff81003f89a840)
Aug  9 12:02:04 radfiles kernel: Stack: 0000000000000000 0000000000000000 
ffff81003f89a840 ffff81003f89a840
Aug  9 12:02:04 radfiles kernel:        0000000000000000 ffffffff8013b35a 
ffffffff8042daa4 ffffffff80372a1c
Aug  9 12:02:04 radfiles kernel:        ffff81003f89ae94 ffff81003f89a840
Aug  9 12:02:04 radfiles kernel: Call Trace:<ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8022178d>{vgacon_cursor+221} 
<ffffffff8011066d>{die+77}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80111203>{do_invalid_op+163} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8018b805>
{__find_get_block_slow+293} <ffffffff8804e335>{:jbd:do_get_write_access+1397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8017475f>{unmap_vmas+1215} 
<ffffffff80178286>{exit_mmap+166}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80137134>{mmput+52} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801473ee>
{__dequeue_signal+558} <ffffffff8013ccbc>{do_group_exit+252}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80147e4d>
{get_signal_to_deliver+1565} <ffffffff8010e1cd>{do_signal+157}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8020e351>{__up_write+49} 
<ffffffff8017aa9b>{sys_mprotect+1579}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f125>{retint_signal+62}
Aug  9 12:02:04 radfiles kernel:
Aug  9 12:02:04 radfiles kernel: Code: 41 8b 45 48 ff c8 7e 45 48 c7 83 f0 01 
00 00 00 00 00 00 48
Aug  9 12:02:04 radfiles kernel: RIP <ffffffff80136806>{mm_release+86} RSP 
<ffff8100212359f8>
Aug  9 12:02:04 radfiles kernel: CR2: 0000000000000048
Aug  9 12:02:04 radfiles kernel:  <1>Unable to handle kernel NULL pointer 
dereference at 0000000000000048 RIP:
Aug  9 12:02:04 radfiles kernel: <ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel: PGD 27dd5067 PUD 2bf57067 PMD 0
Aug  9 12:02:04 radfiles kernel: Oops: 0000 [3] SMP
Aug  9 12:02:04 radfiles kernel: CPU 0
Aug  9 12:02:04 radfiles kernel: Modules linked in: autofs4 dm_mod video ac 
shpchp bcm5700(U) floppy ext3 jbd raid0 mv_sata(U) sd_mod scsi_mod
Aug  9 12:02:04 radfiles kernel: Pid: 8143, comm: sh Tainted: G   M  2.6.12-
1.1398_FC4smp
Aug  9 12:02:04 radfiles kernel: RIP: 0010:[<ffffffff80136806>] 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel: RSP: 0000:ffff810021235778  EFLAGS: 00010202
Aug  9 12:02:04 radfiles kernel: RAX: ffff81007fd4e400 RBX: ffff81003f89a840 
RCX: 0000000000000000
Aug  9 12:02:04 radfiles kernel: RDX: ffff81003f89a800 RSI: 0000000000000000 
RDI: 00002aaaaaabee70
Aug  9 12:02:04 radfiles kernel: RBP: 0000000000000000 R08: 0000000000000720 
R09: ffff8100000be042
Aug  9 12:02:04 radfiles kernel: R10: 0000000000000000 R11: ffffffff802216b0 
R12: 0000000000000000
Aug  9 12:02:04 radfiles kernel: R13: 0000000000000000 R14: 0000000000000009 
R15: 0000000000000000
Aug  9 12:02:04 radfiles kernel: FS:  00002aaaaaabede0(0000) 
GS:ffffffff8050d780(0000) knlGS:00000000f7f299e0
Aug  9 12:02:04 radfiles kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 
000000008005003b
Aug  9 12:02:04 radfiles kernel: CR2: 0000000000000048 CR3: 0000000029067000 
CR4: 00000000000006e0
Aug  9 12:02:04 radfiles kernel: Process sh (pid: 8143, threadinfo 
ffff810021234000, task ffff81003f89a840)
Aug  9 12:02:04 radfiles kernel: Stack: 0000000000000000 0000000000000000 
ffff81003f89a840 ffff81003f89a840
Aug  9 12:02:04 radfiles kernel:        0000000000000000 ffffffff8013b35a 
ffffffff8042daa4 0000000000000000
Aug  9 12:02:04 radfiles kernel:        ffff81003f89ae94 ffff81003f89a840
Aug  9 12:02:04 radfiles kernel: Call Trace:<ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80265f18>
{do_unblank_screen+40} <ffffffff80124286>{do_page_fault+1926}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801396cf>
{release_console_sem+431} <ffffffff8013a306>{vprintk+790}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff802216b0>{vgacon_cursor+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80136806>{mm_release+86} 
<ffffffff801367df>{mm_release+47}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8022178d>{vgacon_cursor+221} 
<ffffffff8011066d>{die+77}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80111203>{do_invalid_op+163} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8018b805>
{__find_get_block_slow+293} <ffffffff8804e335>{:jbd:do_get_write_access+1397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8017475f>{unmap_vmas+1215} 
<ffffffff80178286>{exit_mmap+166}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80137134>{mmput+52} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801473ee>
{__dequeue_signal+558} <ffffffff8013ccbc>{do_group_exit+252}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80147e4d>
{get_signal_to_deliver+1565} <ffffffff8010e1cd>{do_signal+157}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8020e351>{__up_write+49} 
<ffffffff8017aa9b>{sys_mprotect+1579}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f125>{retint_signal+62}
Aug  9 12:02:04 radfiles kernel:
Aug  9 12:02:04 radfiles kernel: Code: 41 8b 45 48 ff c8 7e 45 48 c7 83 f0 01 
00 00 00 00 00 00 48
Aug  9 12:02:04 radfiles kernel: RIP <ffffffff80136806>{mm_release+86} RSP 
<ffff810021235778>
Aug  9 12:02:04 radfiles kernel: CR2: 0000000000000048
Aug  9 12:02:04 radfiles kernel:  <1>Unable to handle kernel NULL pointer 
dereference at 0000000000000048 RIP:
Aug  9 12:02:04 radfiles kernel: <ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel: PGD 27dd5067 PUD 2bf57067 PMD 0
Aug  9 12:02:04 radfiles kernel: Oops: 0000 [4] SMP
Aug  9 12:02:04 radfiles kernel: CPU 0
Aug  9 12:02:04 radfiles kernel: Modules linked in: autofs4 dm_mod video ac 
shpchp bcm5700(U) floppy ext3 jbd raid0 mv_sata(U) sd_mod scsi_mod
Aug  9 12:02:04 radfiles kernel: <1003f89ae94 ffff81003f89a840
Aug  9 12:02:04 radfiles kernel: Call Trace:<ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80265f18>
{do_unblank_screen+40} <ffffffff80124286>{do_page_fault+1926}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8026452b>
{vt_console_print+587} <ffffffff8010f5b5>{error_exit+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff802216b0>{vgacon_cursor+0} 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801367df>{mm_release+47} 
<ffffffff8013b35a>{exit_mm+42}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013c15d>{do_exit+397} 
<ffffffff80265f18>{do_unblank_screen+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80124286>{do_page_fault+1926} 
<ffffffff8026452b>{vt_console_print+587}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff802216b0>{vgacon_cursor+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80136806>{mm_release+86} 
<ffffffff801367df>{mm_release+47}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80265f18>
{do_unblank_screen+40} <ffffffff80124286>{do_page_fault+1926}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8026452b>
{vt_console_print+587} <ffffffff8010f5b5>{error_exit+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff802216b0>{vgacon_cursor+0} 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801367df>{mm_release+47} 
<ffffffff8013b35a>{exit_mm+42}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013c15d>{do_exit+397} 
<ffffffff80265f18>{do_unblank_screen+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80124286>{do_page_fault+1926} 
<ffffffff8026452b>{vt_console_print+587}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff802216b0>{vgacon_cursor+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80136806>{mm_release+86} 
<ffffffff801367df>{mm_release+47}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80265f18>
{do_unblank_screen+40} <ffffffff80124286>{do_page_fault+1926}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801396cf>
{release_console_sem+431} <ffffffff8013a306>{vprintk+790}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff802216b0>{vgacon_cursor+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80136806>{mm_release+86} 
<ffffffff801367df>{mm_release+47}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8022178d>{vgacon_cursor+221} 
<ffffffff8011066d>{die+77}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80111203>{do_invalid_op+163} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8018b805>
{__find_get_block_slow+293} <ffffffff8804e335>{:jbd:do_get_write_access+1397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff8017c1c8>{page_remove_rmap+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8017475f>{unmap_vmas+1215} 
<ffffffff80178286>{exit_mmap+166}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80137134>{mmput+52} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801473ee>
{__dequeue_signal+558} <ffffffff8013ccbc>{do_group_exit+252}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80147e4d>
{get_signal_to_deliver+1565} <ffffffff8010e1cd>{do_signal+157}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8020e351>{__up_write+49} 
<ffffffff8017aa9b>{sys_mprotect+1579}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f125>{retint_signal+62}
Aug  9 12:02:04 radfiles kernel:
Aug  9 12:02:04 radfiles kernel: Code: 41 8b 45 48 ff c8 7e 45 48 c7 83 f0 01 
00 00 00 00 00 00 48
Aug  9 12:02:04 radfiles kernel: RIP <ffffffff80136806>{mm_release+86} RSP 
<ffff810021234d78>
Aug  9 12:02:04 radfiles kernel: CR2: 0000000000000048
Aug  9 12:02:04 radfiles kernel:  <1>Unable to handle kernel NULL pointer 
dereference at 0000000000000048 RIP:
Aug  9 12:02:04 radfiles kernel: <ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel: PGD 27dd5067 PUD 2bf57067 PMD 0
Aug  9 12:02:04 radfiles kernel: Oops: 0000 [8] SMP
Aug  9 12:02:04 radfiles kernel: CPU 0
Aug  9 12:02:04 radfiles kernel: Modules linked in: autofs4 dm_mod video ac 
shpchp bcm5700(U) floppy ext3 jbd raid0 mv_sata(U) sd_mod scsi_mod
Aug  9 12:02:04 radfiles kernel: Pid: 8143, comm: sh Tainted: G   M  2.6.12-
1.1398_FC4smp
Aug  9 12:02:04 radfiles kernel: RIP: 0010:[<ffffffff80136806>] 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel: RSP: 0000:ffff810021234af8  EFLAGS: 00010202
Aug  9 12:02:04 radfiles kernel: RAX: ffff81007fd4e400 RBX: ffff81003f89a840 
RCX: 0000000000000000
Aug  9 12:02:04 radfiles kernel: RDX: ffff81003f89a800 RSI: 0000000000000000 
RDI: 00002aaaaaabee70
Aug  9 12:02:04 radfiles kernel: RBP: 0000000000000000 R08: 0000000000000720 
R09: ffff8100000bb842
Aug  9 12:02:04 radfiles kernel: R10: 0000000000000000 R11: ffffffff802216b0 
R12: 0000000000000000
Aug  9 12:02:04 radfiles kernel: R13: 0000000000000000 R14: 0000000000000009 
R15: 0000000000000000
Aug  9 12:02:04 radfiles kernel: FS:  00002aaaaaabede0(0000) 
GS:ffffffff8050d780(0000) knlGS:00000000f7f299e0
Aug  9 12:02:04 radfiles kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 
000000008005003b
Aug  9 12:02:04 radfiles kernel: CR2: 0000000000000048 CR3: 0000000029067000 
CR4: 00000000000006e0
Aug  9 12:02:04 radfiles kernel: Process sh (pid: 8143, threadinfo 
ffff810021234000, task ffff81003f89a840)
Aug  9 12:02:04 radfiles kernel: Stack: 0000000000000000 0000000000000rror_e}
Aug  9 12:02:04 radfiles kernel:        <ffffffff802216b0>{vgacon_cursor+0} 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801367df>{mm_release+47} 
<ffffffff8013b35a>{exit_mm+42}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013c15d>{do_exit+397} 
<ffffffff80265f18>{do_unblank_screen+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80124286>{do_page_fault+1926} 
<ffffffff8026452b>{vt_console_print+587}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff802216b0>{vgacon_cursor+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80136806>{mm_release+86} 
<ffffffff801367df>{mm_release+47}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80265f18>
{do_unblank_screen+40} <ffffffff80124286>{do_page_fault+1926}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8026452b>
{vt_console_print+587} <ffffffff8010f5b5>{error_exit+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff802216b0>{vgacon_cursor+0} 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801367df>{mm_release+47} 
<ffffffff8013b35a>{exit_mm+42}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013c15d>{do_exit+397} 
<ffffffff80265f18>{do_unblank_screen+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80124286>{do_page_fault+1926} 
<ffffffff8026452b>{vt_console_print+587}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff802216b0>{vgacon_cursor+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80136806>{mm_release+86} 
<ffffffff801367df>{mm_release+47}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80265f18>
{do_unblank_screen+40} <ffffffff80124286>{do_page_fault+1926}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8026452b>
{vt_console_print+587} <ffffffff8010f5b5>{error_exit+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff802216b0>{vgacon_cursor+0} 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801367df>{mm_release+47} 
<ffffffff8013b35a>{exit_mm+42}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013c15d>{do_exit+397} 
<ffffffff80265f18>{do_unblank_screen+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80124286>{do_page_fault+1926} 
<ffffffff8026452b>{vt_console_print+587}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8010f5b5>{error_exit+0} 
<ffffffff802216b0>{vgacon_cursor+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80136806>{mm_release+86} 
<ffffffff801367df>{mm_release+47}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013b35a>{exit_mm+42} 
<ffffffff8013c15d>{do_exit+397}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80265f18>
{do_unblank_screen+40} <ffffffff80124286>{do_page_fault+1926}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8026452b>
{vt_console_print+587} <ffffffff8010f5b5>{error_exit+0}
Aug  9 12:02:04 radfiles kernel:        <ffffffff802216b0>{vgacon_cursor+0} 
<ffffffff80136806>{mm_release+86}
Aug  9 12:02:04 radfiles kernel:        <ffffffff801367df>{mm_release+47} 
<ffffffff8013b35a>{exit_mm+42}
Aug  9 12:02:04 radfiles kernel:        <ffffffff8013c15d>{do_exit+397} 
<ffffffff80265f18>{do_unblank_screen+40}
Aug  9 12:02:04 radfiles kernel:        <ffffffff80124286>{do_page_fault+1926} 
<ffffffff8026452b>{vt_console_print+587}


Version-Release number of selected component (if applicable):

kernel-2.6.12-1.1398_FC4smp

How reproducible:

Most of the time.

Steps to Reproduce:
1. Subject server to heavy load (compiling a kernel is a great one!) and watch 
it crash.
Comment 1 Brian Rademacher 2005-08-11 15:39:34 EDT
I am beginning to wonder if this is related to bug 164941, as I am also now 
seeing this:

Machine check events logged
Machine check events logged
sh[22666]: segfault at 00000000005a8028 rip 000000317a3022a3 rsp 
00007fffffa02860 error 5
swap_free: Bad swap file entry 3800000000000000
swap_free: Bad swap offset entry 34365f363878
Machine check events logged
Machine check events logged

Comment 2 Dave Jones 2005-08-26 18:31:28 EDT
Could be. The latest errata kernel in updates-testing has a workaround for that
problem.  However, we've also no way of knowing just what that marvell driver is
doing, so that could also be to blame.

Can you repeat this without any of the binary modules loaded ?
Comment 3 Brian Rademacher 2005-08-26 23:35:40 EDT
Ironically, I'm not able to duplicate this since replacing my ECC RAM (as the 
machine check events above were indicating).  I should also be a victim of the 
badswapentry bug since my Opteron stepping falls within that errata, but I 
haven't seen that either.  I think this bug can be safely filed away for now, 
and I'll keep my eye on the other one...
Comment 4 Dave Jones 2005-08-27 00:03:01 EDT
ok, thanks.

Note You need to log in before you can comment on or make changes to this bug.